/*
    Copyright 2007-2008 EPOS-Project
                        (FZ Dresden-Rossendorf & MLU Halle-Wittenberg)
                        Arnold Krille <arnold@arnoldarts.de>
                        Nicki Hinsche <nicvok@freenet.de>

    This library is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as
    published by the Free Software Foundation; version 3 of the License.

    This library is distributed in the hope that it will be useful, but
    WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; see the files lgpl-3.0.txt and
    gpl-3.0.txt. If not, see <http://www.gnu.org/licenses/>.

*/

#ifndef GAGEREADER_H
#define GAGEREADER_H

#include <abstractdiskio.h>

class GageReader : public NSDiskIO::AbstractReader, protected NSDiskIO::AbstractDiskIO<QDataStream>
{

Q_OBJECT
		public:
			GageReader( QObject* =0 );
			~GageReader();

			void reset() { if ( _stream ) _stream->device()->reset(); }
			bool atEnd() const { if ( _stream ) return _stream->atEnd(); return true; }

			QString filter() const { return "Windows GageScope Binary data (*.sig)"; }

			void setFile( QString );
			QString filename() const;

			void readSingleDataSet();

		/*private:
			QString NewName(NSCore::ChannelDataSet*, QString filename() ) const;*/


};

#endif // GAGEREADER_H

