/*
    Copyright 2008 EPOS-Project
                        (FZ Dresden-Rossendorf & MLU Halle-Wittenberg)
                        Arnold Krille <arnold@arnoldarts.de>

    This library is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as
    published by the Free Software Foundation; version 3 of the License.

    This library is distributed in the hope that it will be useful, but
    WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; see the files lgpl-3.0.txt and
    gpl-3.0.txt. If not, see <http://www.gnu.org/licenses/>.
*/

#include <QtCore>

#include "stackediconwidget.h"
#include "stackediconwidget.moc"

#include "stackediconwidget_p.h"
#include "stackediconwidget_p.moc"

StackedIconWidget::StackedIconWidget( QWidget* p )
	: QWidget( p )
	, d( new StackedIconWidget::Private( this ) )
{
	//qDebug() << "StackedIconWidget::StackedIconWidget(" << p << ")";
}
StackedIconWidget::~StackedIconWidget() {
	//qDebug() << "StackedIconWidget::~StackedIconWidget()";
}

void StackedIconWidget::addWidget( QWidget* w, QString name, QString icon ) {
	//qDebug() << "StackedIconWidget::addWidget(" << w << "," << name << "," << icon << ")";
	if ( name == "" ) name = w->objectName();
	if ( name == "" ) name = "0x" + QString::number( ( qptrdiff )w, 16 );
	d->addWidget( w, name, icon );
}

void StackedIconWidget::removeWidget( QWidget* w ) {
	qDebug() << "StackedIconWidget::removeWidget(" << w << ") [defunct]";
}
void StackedIconWidget::removeWidget( QString name ) {
	qDebug() << "StackedIconWidget::removeWidget(" << name << ") [defunct]";
}

void StackedIconWidget::unfloatAllWidgets() {
	d->unfloatAll();
}
