/**
 * \mainpage
 *
 * <h2>Introduction</h2>
 *
 * This is the software used at EPOS (http://positron.physik.uni-halle.de/EPOS/) to extract the timing-information from the digitized anode-pulses. It also contains modules to extract the energy of Ge-detector-signals of doppler-broadening-measurements.
 *
 * The software is provided for free under the terms of the GPL version 3 (applications) and LGPL version 3 (libraries). See the files gpl-3.0.txt and lgpl-3.0.txt or visit http://www.gnu.org/licenses/ for the text of the license.
 *
 * If you have a positron-spectrometer  or are interested in digital timing, feel free to test, use and improve this software!
 *
 * <h2>Download</h2>
 *
 * You can get the latest stable (and possibly unstable) versions from http://positron.physik.uni-halle.de/EPOS/Software/download .
 *
 * <h2>What you get</h2>
 *
 * The EPOS software consists of several parts (libraries and applications), everything depends on Qt (http://www.trolltech.com/) as toolkit. You also need python (http://www.python.org/) and scons (http://www.scons.org/) for the buildsystem. Unlike the previous version, 0.5 doesn't need or use qwt for nicer graphics. To get data directly from Acqiris digitizers, you also need the acqiris driver and libs installed...
 *
 * This software is developed under linux. It should be possible to compile and use it on other systems too, since all the requisites are available on other systems, but we didn`t test that. And we give no guarantee...
 *
 * The parts of the software are:
 * <dl>
 * <dt>libcore/ / NSCore<dd>Contains the very core-classes (and -functions) that we depend on. Some of it is "just" extension to Qt and some is basics for pushing our data around. And defining what our data is...
 * <dt>libgui/<dd>Gui-things that extend Qt and/or are specific to us.
 * <dt>libevaluationpath/ / NSEvaluation<dd>The basics for the extendible plugin-system to evaluate data and add results to it.
 * <dt>libplugins/<dd>Various plugins to evaluate the data are defined in this dir.
 * <dt>libspectrum/<dd>Grabbing the results from the datasets and putting them in spectra is done with these classes (mostly with ResultsTospectrum).
 * <dt>libdiskio/ / NSDiskIO<dd>Read and write datasets in various formats.
 * <dt>libqacq/<dd>Interface for Acqiris digitizers.
 * <dt>libscript/<dd>A simple way of adding scripting-support to your apps. This uses QScript and mostly provides a basic IDE/workbench to use it.
 * <dt>libdoppler/<dd>A reader for the GaGe-Scope proprietary format. And some plugins to get the energy signal from doppler-broadening-measurements.
 * <dt>emea/<dd>The Epos Modularized Evaluation and Analyzation. An easy framework to combine all
 * the modules and plugins for different purposes. The resulting apps are all called emea-*
 * </dl>
 *
 * <h2>Installation</h2>
 *
 * After downloading and un-packing the sources, you should execute <tt>"scons"</tt> in the toplevel-dir of the sources to start the buildprocess (or see which dependencies are missing;). If all dependencies are there, it should start building the libs and apps right away.
 *
 * You can install the apps and libs with <tt>"scons install"</tt>, un-install is <tt>"scons -c install"</tt>.
 *
 * If you want to define a custom place to install the epos-software to or you have the acqiris libs and headers in a none-standard place, you can see which options to add to scons with <tt>"scons -h"</tt>...
 *
 * To install these documentation locally on your hard-disk, you need doxygen (http://www.doxygen.org). Then run <tt>"doxygen epos.Doxyfile"</tt> in the source directory.
 *
 * <h2>Problems</h2>
 *
 * If you encounter problems, feel free to ask arnold.krille@gmail.com. Worst thing to happen is that the answer to your problem is "I don't know (yet)" or "I know, it's a known problem" ;-)
 */
